# GstWebRTCDataChannel

https://www.w3.org/TR/webrtc/#rtcdatachannel

## GstWebRTCDataChannel

    GObject
        ╰──GstWebRTCDataChannel

Since : 1.18

### Class structure

#### GstWebRTCDataChannelClass

### GstWebRTC.WebRTCDataChannelClass

## GstWebRTC.WebRTCDataChannel

    GObject.Object
        ╰──GstWebRTC.WebRTCDataChannel

Since : 1.18

## GstWebRTC.WebRTCDataChannel

    GObject.Object
        ╰──GstWebRTC.WebRTCDataChannel

Since : 1.18

### Methods

#### gst_webrtc_data_channel_close

    gst_webrtc_data_channel_close (GstWebRTCDataChannel * channel)

Close the channel.

Parameters:

`channel` –

a GstWebRTCDataChannel

#### GstWebRTC.WebRTCDataChannel.prototype.close

    function GstWebRTC.WebRTCDataChannel.prototype.close(): {
        // javascript wrapper for 'gst_webrtc_data_channel_close'
    }

Close the channel.

Parameters:

`channel` (GstWebRTC.WebRTCDataChannel) –

a GstWebRTC.WebRTCDataChannel

#### GstWebRTC.WebRTCDataChannel.close

    def GstWebRTC.WebRTCDataChannel.close (self):
        #python wrapper for 'gst_webrtc_data_channel_close'

Close the channel.

Parameters:

`channel` (GstWebRTC.WebRTCDataChannel) –

a GstWebRTC.WebRTCDataChannel

#### gst_webrtc_data_channel_send_data

    gst_webrtc_data_channel_send_data (GstWebRTCDataChannel * channel,
                                       GBytes * data)

Send data as a data message over channel.

Parameters:

`channel` –

a GstWebRTCDataChannel

`data` ( [nullable]) –

a GBytes or NULL

#### GstWebRTC.WebRTCDataChannel.prototype.send_data

    function GstWebRTC.WebRTCDataChannel.prototype.send_data(data: GBytes (not introspectable)): {
        // javascript wrapper for 'gst_webrtc_data_channel_send_data'
    }

Send data as a data message over channel.

Parameters:

`channel` (GstWebRTC.WebRTCDataChannel) –

a GstWebRTC.WebRTCDataChannel

`data` (GBytes (not introspectable)) –

a GBytes (not introspectable) or null

#### GstWebRTC.WebRTCDataChannel.send_data

    def GstWebRTC.WebRTCDataChannel.send_data (self, data):
        #python wrapper for 'gst_webrtc_data_channel_send_data'

Send data as a data message over channel.

Parameters:

`channel` (GstWebRTC.WebRTCDataChannel) –

a GstWebRTC.WebRTCDataChannel

`data` (GBytes (not introspectable)) –

a GBytes (not introspectable) or None

#### gst_webrtc_data_channel_send_data_full

    gboolean
    gst_webrtc_data_channel_send_data_full (GstWebRTCDataChannel * channel,
                                            GBytes * data,
                                            GError ** error)

Send data as a data message over channel.

Parameters:

`channel` –

a GstWebRTCDataChannel

`data` ( [nullable]) –

a GBytes or NULL

`error` ( [nullable]) –

location to a GError or NULL

Returns –

TRUE if channel is open and data could be queued

Since : 1.22

#### GstWebRTC.WebRTCDataChannel.prototype.send_data_full

    function GstWebRTC.WebRTCDataChannel.prototype.send_data_full(data: GBytes (not introspectable)): {
        // javascript wrapper for 'gst_webrtc_data_channel_send_data_full'
    }

Send data as a data message over channel.

Parameters:

`channel` (GstWebRTC.WebRTCDataChannel) –

a GstWebRTC.WebRTCDataChannel

`data` (GBytes (not introspectable)) –

a GBytes (not introspectable) or null

Returns (Number) –

TRUE if channel is open and data could be queued

Since : 1.22

#### GstWebRTC.WebRTCDataChannel.send_data_full

    @raises(GLib.GError)
    def GstWebRTC.WebRTCDataChannel.send_data_full (self, data):
        #python wrapper for 'gst_webrtc_data_channel_send_data_full'

Send data as a data message over channel.

Parameters:

`channel` (GstWebRTC.WebRTCDataChannel) –

a GstWebRTC.WebRTCDataChannel

`data` (GBytes (not introspectable)) –

a GBytes (not introspectable) or None

Returns (bool) –

TRUE if channel is open and data could be queued

Since : 1.22

#### gst_webrtc_data_channel_send_string

    gst_webrtc_data_channel_send_string (GstWebRTCDataChannel * channel,
                                         const gchar * str)

Send str as a string message over channel.

Parameters:

`channel` –

a GstWebRTCDataChannel

`str` ( [nullable]) –

a string or NULL

#### GstWebRTC.WebRTCDataChannel.prototype.send_string

    function GstWebRTC.WebRTCDataChannel.prototype.send_string(str: String): {
        // javascript wrapper for 'gst_webrtc_data_channel_send_string'
    }

Send str as a string message over channel.

Parameters:

`channel` (GstWebRTC.WebRTCDataChannel) –

a GstWebRTC.WebRTCDataChannel

`str` (String) –

a string or null

#### GstWebRTC.WebRTCDataChannel.send_string

    def GstWebRTC.WebRTCDataChannel.send_string (self, str):
        #python wrapper for 'gst_webrtc_data_channel_send_string'

Send str as a string message over channel.

Parameters:

`channel` (GstWebRTC.WebRTCDataChannel) –

a GstWebRTC.WebRTCDataChannel

`str` (str) –

a string or None

#### gst_webrtc_data_channel_send_string_full

    gboolean
    gst_webrtc_data_channel_send_string_full (GstWebRTCDataChannel * channel,
                                              const gchar * str,
                                              GError ** error)

Send str as a string message over channel.

Parameters:

`channel` –

a GstWebRTCDataChannel

`str` ( [nullable]) –

a string or NULL

`error` –
No description available
Returns –

TRUE if channel is open and data could be queued

Since : 1.22

#### GstWebRTC.WebRTCDataChannel.prototype.send_string_full

    function GstWebRTC.WebRTCDataChannel.prototype.send_string_full(str: String): {
        // javascript wrapper for 'gst_webrtc_data_channel_send_string_full'
    }

Send str as a string message over channel.

Parameters:

`channel` (GstWebRTC.WebRTCDataChannel) –

a GstWebRTC.WebRTCDataChannel

`str` (String) –

a string or null

Returns (Number) –

TRUE if channel is open and data could be queued

Since : 1.22

#### GstWebRTC.WebRTCDataChannel.send_string_full

    @raises(GLib.GError)
    def GstWebRTC.WebRTCDataChannel.send_string_full (self, str):
        #python wrapper for 'gst_webrtc_data_channel_send_string_full'

Send str as a string message over channel.

Parameters:

`channel` (GstWebRTC.WebRTCDataChannel) –

a GstWebRTC.WebRTCDataChannel

`str` (str) –

a string or None

Returns (bool) –

TRUE if channel is open and data could be queued

Since : 1.22

### Signals

#### on-buffered-amount-low

    on_buffered_amount_low_callback (GstWebRTCDataChannel * self,
                                     gpointer user_data)

Parameters:

`self` –
No description available
`user_data` –
No description available

Flags: Run Last

#### on-buffered-amount-low

    function on_buffered_amount_low_callback(self: GstWebRTC.WebRTCDataChannel, user_data: Object): {
        // javascript callback for the 'on-buffered-amount-low' signal
    }

Parameters:

`self` (GstWebRTC.WebRTCDataChannel) –
No description available
`user_data` (Object) –
No description available

Flags: Run Last

#### on-buffered-amount-low

    def on_buffered_amount_low_callback (self, *user_data):
        #python callback for the 'on-buffered-amount-low' signal

Parameters:

`self` (GstWebRTC.WebRTCDataChannel) –
No description available
`user_data` (variadic) –
No description available

Flags: Run Last

#### on-close

    on_close_callback (GstWebRTCDataChannel * self,
                       gpointer user_data)

Parameters:

`self` –
No description available
`user_data` –
No description available

Flags: Run Last

#### on-close

    function on_close_callback(self: GstWebRTC.WebRTCDataChannel, user_data: Object): {
        // javascript callback for the 'on-close' signal
    }

Parameters:

`self` (GstWebRTC.WebRTCDataChannel) –
No description available
`user_data` (Object) –
No description available

Flags: Run Last

#### on-close

    def on_close_callback (self, *user_data):
        #python callback for the 'on-close' signal

Parameters:

`self` (GstWebRTC.WebRTCDataChannel) –
No description available
`user_data` (variadic) –
No description available

Flags: Run Last

#### on-error

    on_error_callback (GstWebRTCDataChannel * self,
                       GError * error,
                       gpointer user_data)

Parameters:

`self` –
No description available
`error` –

the GError thrown

`user_data` –
No description available

Flags: Run Last

#### on-error

    function on_error_callback(self: GstWebRTC.WebRTCDataChannel, error: GError (not introspectable), user_data: Object): {
        // javascript callback for the 'on-error' signal
    }

Parameters:

`self` (GstWebRTC.WebRTCDataChannel) –
No description available
`error` (GError (not introspectable)) –

the GError (not introspectable) thrown

`user_data` (Object) –
No description available

Flags: Run Last

#### on-error

    def on_error_callback (self, error, *user_data):
        #python callback for the 'on-error' signal

Parameters:

`self` (GstWebRTC.WebRTCDataChannel) –
No description available
`error` (GError (not introspectable)) –

the GError (not introspectable) thrown

`user_data` (variadic) –
No description available

Flags: Run Last

#### on-message-data

    on_message_data_callback (GstWebRTCDataChannel * self,
                              GBytes * data,
                              gpointer user_data)

Parameters:

`self` –
No description available
`data` ( [nullable]) –

a GBytes of the data received

`user_data` –
No description available

Flags: Run Last

#### on-message-data

    function on_message_data_callback(self: GstWebRTC.WebRTCDataChannel, data: GBytes (not introspectable), user_data: Object): {
        // javascript callback for the 'on-message-data' signal
    }

Parameters:

`self` (GstWebRTC.WebRTCDataChannel) –
No description available
`data` (GBytes (not introspectable)) –

a GBytes (not introspectable) of the data received

`user_data` (Object) –
No description available

Flags: Run Last

#### on-message-data

    def on_message_data_callback (self, data, *user_data):
        #python callback for the 'on-message-data' signal

Parameters:

`self` (GstWebRTC.WebRTCDataChannel) –
No description available
`data` (GBytes (not introspectable)) –

a GBytes (not introspectable) of the data received

`user_data` (variadic) –
No description available

Flags: Run Last

#### on-message-string

    on_message_string_callback (GstWebRTCDataChannel * self,
                                gchar * data,
                                gpointer user_data)

Parameters:

`self` –
No description available
`data` ( [nullable]) –

the data received as a string

`user_data` –
No description available

Flags: Run Last

#### on-message-string

    function on_message_string_callback(self: GstWebRTC.WebRTCDataChannel, data: String, user_data: Object): {
        // javascript callback for the 'on-message-string' signal
    }

Parameters:

`self` (GstWebRTC.WebRTCDataChannel) –
No description available
`data` (String) –

the data received as a string

`user_data` (Object) –
No description available

Flags: Run Last

#### on-message-string

    def on_message_string_callback (self, data, *user_data):
        #python callback for the 'on-message-string' signal

Parameters:

`self` (GstWebRTC.WebRTCDataChannel) –
No description available
`data` (str) –

the data received as a string

`user_data` (variadic) –
No description available

Flags: Run Last

#### on-open

    on_open_callback (GstWebRTCDataChannel * self,
                      gpointer user_data)

Parameters:

`self` –
No description available
`user_data` –
No description available

Flags: Run Last

#### on-open

    function on_open_callback(self: GstWebRTC.WebRTCDataChannel, user_data: Object): {
        // javascript callback for the 'on-open' signal
    }

Parameters:

`self` (GstWebRTC.WebRTCDataChannel) –
No description available
`user_data` (Object) –
No description available

Flags: Run Last

#### on-open

    def on_open_callback (self, *user_data):
        #python callback for the 'on-open' signal

Parameters:

`self` (GstWebRTC.WebRTCDataChannel) –
No description available
`user_data` (variadic) –
No description available

Flags: Run Last

### Action Signals

#### close

    g_signal_emit_by_name (self, "close", user_data);

Close the data channel

Parameters:

`self` (GstWebRTCDataChannel *) –
No description available
`user_data` (gpointer) –
No description available

Flags: Run Last / Action

#### close

    let ret = self.emit ("close", user_data);

Close the data channel

Parameters:

`self` (GstWebRTC.WebRTCDataChannel) –
No description available
`user_data` (Object) –
No description available

Flags: Run Last / Action

#### close

    ret = self.emit ("close", user_data)

Close the data channel

Parameters:

`self` (GstWebRTC.WebRTCDataChannel) –
No description available
`user_data` (variadic) –
No description available

Flags: Run Last / Action

#### send-data

    g_signal_emit_by_name (self, "send-data", data, user_data);

Parameters:

`self` (GstWebRTCDataChannel *) –
No description available
`data` (GBytes *, [nullable]) –

a GBytes with the data

`user_data` (gpointer) –
No description available

Flags: Run Last / Action

#### send-data

    let ret = self.emit ("send-data", data, user_data);

Parameters:

`self` (GstWebRTC.WebRTCDataChannel) –
No description available
`data` (GBytes (not introspectable)) –

a GBytes (not introspectable) with the data

`user_data` (Object) –
No description available

Flags: Run Last / Action

#### send-data

    ret = self.emit ("send-data", data, user_data)

Parameters:

`self` (GstWebRTC.WebRTCDataChannel) –
No description available
`data` (GBytes (not introspectable)) –

a GBytes (not introspectable) with the data

`user_data` (variadic) –
No description available

Flags: Run Last / Action

#### send-string

    g_signal_emit_by_name (self, "send-string", data, user_data);

Parameters:

`self` (GstWebRTCDataChannel *) –
No description available
`data` (gchar *, [nullable]) –

the data to send as a string

`user_data` (gpointer) –
No description available

Flags: Run Last / Action

#### send-string

    let ret = self.emit ("send-string", data, user_data);

Parameters:

`self` (GstWebRTC.WebRTCDataChannel) –
No description available
`data` (String) –

the data to send as a string

`user_data` (Object) –
No description available

Flags: Run Last / Action

#### send-string

    ret = self.emit ("send-string", data, user_data)

Parameters:

`self` (GstWebRTC.WebRTCDataChannel) –
No description available
`data` (str) –

the data to send as a string

`user_data` (variadic) –
No description available

Flags: Run Last / Action

### Properties

#### buffered-amount

    “buffered-amount” guint64

Flags : Read

#### buffered-amount

    “buffered-amount” Number

Flags : Read

#### buffered_amount

    “self.props.buffered_amount” int

Flags : Read

#### buffered-amount-low-threshold

    “buffered-amount-low-threshold” guint64

Flags : Read / Write

#### buffered-amount-low-threshold

    “buffered-amount-low-threshold” Number

Flags : Read / Write

#### buffered_amount_low_threshold

    “self.props.buffered_amount_low_threshold” int

Flags : Read / Write

#### id

    “id” gint

Flags : Read / Write / Construct Only

#### id

    “id” Number

Flags : Read / Write / Construct Only

#### id

    “self.props.id” int

Flags : Read / Write / Construct Only

#### label

    “label” gchar *

Flags : Read / Write / Construct Only

#### label

    “label” String

Flags : Read / Write / Construct Only

#### label

    “self.props.label” str

Flags : Read / Write / Construct Only

#### max-packet-lifetime

    “max-packet-lifetime” gint

Flags : Read / Write / Construct Only

#### max-packet-lifetime

    “max-packet-lifetime” Number

Flags : Read / Write / Construct Only

#### max_packet_lifetime

    “self.props.max_packet_lifetime” int

Flags : Read / Write / Construct Only

#### max-retransmits

    “max-retransmits” gint

Flags : Read / Write / Construct Only

#### max-retransmits

    “max-retransmits” Number

Flags : Read / Write / Construct Only

#### max_retransmits

    “self.props.max_retransmits” int

Flags : Read / Write / Construct Only

#### negotiated

    “negotiated” gboolean

Flags : Read / Write / Construct Only

#### negotiated

    “negotiated” Number

Flags : Read / Write / Construct Only

#### negotiated

    “self.props.negotiated” bool

Flags : Read / Write / Construct Only

#### ordered

    “ordered” gboolean

Flags : Read / Write / Construct Only

#### ordered

    “ordered” Number

Flags : Read / Write / Construct Only

#### ordered

    “self.props.ordered” bool

Flags : Read / Write / Construct Only

#### priority

    “priority” GstWebRTCPriorityType *

Flags : Read / Write / Construct Only

#### priority

    “priority” GstWebRTC.WebRTCPriorityType

Flags : Read / Write / Construct Only

#### priority

    “self.props.priority” GstWebRTC.WebRTCPriorityType

Flags : Read / Write / Construct Only

#### protocol

    “protocol” gchar *

Flags : Read / Write / Construct Only

#### protocol

    “protocol” String

Flags : Read / Write / Construct Only

#### protocol

    “self.props.protocol” str

Flags : Read / Write / Construct Only

#### ready-state

    “ready-state” GstWebRTCDataChannelState *

Flags : Read

#### ready-state

    “ready-state” GstWebRTC.WebRTCDataChannelState

Flags : Read

#### ready_state

    “self.props.ready_state” GstWebRTC.WebRTCDataChannelState

Flags : Read

The results of the search are